## clipper 1.46.0

=== DESCRIPTION ===
Package: clipper
Version: 1.46.0
Date: 2019-04-09
Title: Gene Set Analysis Exploiting Pathway Topology
Author: Paolo Martini <paolo.cavei@gmail.com>, Gabriele Sales <gabriele.sales@unipd.it>, Chiara Romualdi <chiara.romualdi@unipd.it>
Maintainer: Paolo Martini <paolo.cavei@gmail.com>
Description: Implements topological gene set analysis using a two-step empirical approach. It exploits graph decomposition theory to create a junction tree and reconstruct the most relevant signal path. In the first step clipper selects significant pathways according to statistical tests on the means and the concentration matrices of the graphs derived from pathway topologies. Then, it "clips" the whole pathway identifying  the signal paths having the greatest association with a specific phenotype.
Depends: R (>= 2.15.0), Matrix, graph
Imports: methods, Biobase, Rcpp, igraph, gRbase (>= 1.6.6), qpgraph,
        KEGGgraph, corpcor
Suggests: RUnit, BiocGenerics, graphite, ALL, hgu95av2.db, MASS,
        BiocStyle
Enhances: RCy3
License: AGPL-3
git_url: https://git.bioconductor.org/packages/clipper
git_branch: RELEASE_3_20
git_last_commit: faf2c1e
git_last_commit_date: 2024-10-29
Repository: Bioconductor 3.20
Date/Publication: 2024-10-29
NeedsCompilation: no
Packaged: 2024-10-30 00:02:10 UTC; biocbuild

## clipper 1.50.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: clipper
-Version: 1.46.0
+Version: 1.50.0
 Date: 2019-04-09
 Title: Gene Set Analysis Exploiting Pathway Topology
 Author: Paolo Martini <paolo.cavei@gmail.com>, Gabriele Sales <gabriele.sales@unipd.it>, Chiara Romualdi <chiara.romualdi@unipd.it>
@@ -13,10 +13,10 @@
 Enhances: RCy3
 License: AGPL-3
 git_url: https://git.bioconductor.org/packages/clipper
-git_branch: RELEASE_3_20
-git_last_commit: faf2c1e
-git_last_commit_date: 2024-10-29
-Repository: Bioconductor 3.20
-Date/Publication: 2024-10-29
+git_branch: RELEASE_3_22
+git_last_commit: a4ee17e
+git_last_commit_date: 2025-10-29
+Repository: Bioconductor 3.22
+Date/Publication: 2025-10-29
 NeedsCompilation: no
-Packaged: 2024-10-30 00:02:10 UTC; biocbuild
+Packaged: 2025-10-30 03:10:37 UTC; biocbuild

## clipper 1.51.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: clipper
-Version: 1.50.0
+Version: 1.51.0
 Date: 2019-04-09
 Title: Gene Set Analysis Exploiting Pathway Topology
 Author: Paolo Martini <paolo.cavei@gmail.com>, Gabriele Sales <gabriele.sales@unipd.it>, Chiara Romualdi <chiara.romualdi@unipd.it>
@@ -13,10 +13,10 @@
 Enhances: RCy3
 License: AGPL-3
 git_url: https://git.bioconductor.org/packages/clipper
-git_branch: RELEASE_3_22
-git_last_commit: a4ee17e
+git_branch: devel
+git_last_commit: 09e9ef4
 git_last_commit_date: 2025-10-29
-Repository: Bioconductor 3.22
-Date/Publication: 2025-10-29
+Repository: Bioconductor 3.23
+Date/Publication: 2025-11-04
 NeedsCompilation: no
-Packaged: 2025-10-30 03:10:37 UTC; biocbuild
+Packaged: 2025-11-04 21:49:05 UTC; biocbuild

## clipper 2.0.3

=== Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# config/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/clipper
pkglibdir = $(libdir)/clipper
pkgincludedir = $(includedir)/clipper
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-redhat-linux-gnu
host_triplet = i686-redhat-linux-gnu
subdir = config
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in config.guess \
	config.sub depcomp install-sh ltmain.sh missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/config/ccp4.m4 \
	$(top_srcdir)/config/cctbx.m4 $(top_srcdir)/config/clipper.m4 \
	$(top_srcdir)/config/fftw.m4 $(top_srcdir)/config/gpp4.m4 \
	$(top_srcdir)/config/mccp4.m4 $(top_srcdir)/config/mmdb.m4 \
	$(top_srcdir)/config/utimbuf.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/cowtan/clipper-gnu/config/missing --run aclocal-1.9
ALLOCA = 
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/cowtan/clipper-gnu/config/missing --run tar
AR = ar
AR_FLAGS = cru
AUTOCONF = ${SHELL} /home/cowtan/clipper-gnu/config/missing --run autoconf
AUTOHEADER = ${SHELL} /home/cowtan/clipper-gnu/config/missing --run autoheader
AUTOMAKE = ${SHELL} /home/cowtan/clipper-gnu/config/missing --run automake-1.9
AWK = gawk
BOOST = 
CC = gcc
CCDEPMODE = depmode=gcc3
CCP4_CXXFLAGS = -I/home/cowtan/clipper-gnu/ccp4-onlylibs-dev/include
CCP4_LIBS = -L/home/cowtan/clipper-gnu/ccp4-onlylibs-dev/lib -lccp4c
CCTBX_CXXFLAGS = 
CCTBX_LIBS = 
CFLAGS = -g -O2
CLIPPER_CCP4_DIR = ccp4
CLIPPER_CCTBX_DIR = 
CLIPPER_CIF_DIR = cif
CLIPPER_CNS_DIR = cns
CLIPPER_CONTRIB_DIR = contrib
CLIPPER_LT_VERSION = 2:3:0
CLIPPER_MINIMOL_DIR = minimol
CLIPPER_MMDBOLD_DIR = 
CLIPPER_MMDB_DIR = mmdb
CLIPPER_PHS_DIR = phs
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -fno-strict-aliasing
CYGPATH_W = echo
DEBUG_FALSE = 
DEBUG_TRUE = #
DEFS = -DPACKAGE_NAME=\"clipper\" -DPACKAGE_TARNAME=\"clipper\" -DPACKAGE_VERSION=\"2.0.3\" -DPACKAGE_STRING=\"clipper\ 2.0.3\" -DPACKAGE_BUGREPORT=\"cowtan@ysbl.york.ac.uk\" -DPACKAGE=\"clipper\" -DVERSION=\"2.0.3\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DHAVE_LIBM=1 -DFFTW_ENABLE_FLOAT=1 -DHAVE_FLOOR=1 -DHAVE_POW=1 -DHAVE_RINT=1 -DHAVE_ALLOCA_H=1 -DHAVE_ALLOCA=1 -DHAVE_DIRENT_H=1 -DSTDC_HEADERS=1 -DHAVE_SYS_WAIT_H=1 -DHAVE_ARPA_INET_H=1 -DHAVE_FCNTL_H=1 -DHAVE_FLOAT_H=1 -DHAVE_LIBINTL_H=1 -DHAVE_LIMITS_H=1 -DHAVE_LOCALE_H=1 -DHAVE_MALLOC_H=1 -DHAVE_MEMORY_H=1 -DHAVE_NETDB_H=1 -DHAVE_NETINET_IN_H=1 -DHAVE_STDDEF_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_SYS_FILE_H=1 -DHAVE_SYS_SOCKET_H=1 -DHAVE_SYS_TIME_H=1 -DHAVE_UNISTD_H=1 -DHAVE_WCHAR_H=1 -DHAVE_WCTYPE_H=1 -DHAVE_STDBOOL_H=1 -Drestrict=__restrict -DTIME_WITH_SYS_TIME=1 -DHAVE_UNISTD_H=1 -DHAVE_FORK=1 -DHAVE_VFORK=1 -DHAVE_WORKING_VFORK=1 -DHAVE_STDLIB_H=1 -DHAVE_MALLOC=1 -DHAVE_MBRTOWC=1 -DHAVE_STDLIB_H=1 -DHAVE_UNISTD_H=1 -DHAVE_GETPAGESIZE=1 -DHAVE_MMAP=1 -DHAVE_STDLIB_H=1 -DHAVE_REALLOC=1 -DHAVE_SYS_SELECT_H=1 -DHAVE_SYS_SOCKET_H=1 -DSELECT_TYPE_ARG1=int -DSELECT_TYPE_ARG234=\(fd_set\ \*\) -DSELECT_TYPE_ARG5=\(struct\ timeval\ \*\) -DPROTOTYPES=1 -D__PROTOTYPES=1 -DLSTAT_FOLLOWS_SLASHED_SYMLINK=1 -DHAVE_VPRINTF=1 -DHAVE_BZERO=1 -DHAVE_FLOOR=1 -DHAVE_GETHOSTBYNAME=1 -DHAVE_GETTIMEOFDAY=1 -DHAVE_LOCALTIME_R=1 -DHAVE_MBRLEN=1 -DHAVE_MEMMOVE=1 -DHAVE_MEMSET=1 -DHAVE_MKDIR=1 -DHAVE_MODF=1 -DHAVE_MUNMAP=1 -DHAVE_POW=1 -DHAVE_PUTENV=1 -DHAVE_RE_COMP=1 -DHAVE_REGCOMP=1 -DHAVE_RINT=1 -DHAVE_SELECT=1 -DHAVE_SETENV=1 -DHAVE_SOCKET=1 -DHAVE_SQRT=1 -DHAVE_STRCASECMP=1 -DHAVE_STRCHR=1 -DHAVE_STRDUP=1 -DHAVE_STRERROR=1 -DHAVE_STRNCASECMP=1 -DHAVE_STRPBRK=1 -DHAVE_STRRCHR=1 -DHAVE_STRSTR=1 -DHAVE_UTIME_H=1 -DHAVE_STRUCT_UTIMBUF=1 
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = f95
FFLAGS = -g -O2
FFTW_CXXFLAGS = -I/home/cowtan/clipper-gnu/ccp4-onlylibs-dev/include
FFTW_LIBS = -L/home/cowtan/clipper-gnu/ccp4-onlylibs-dev/lib -lrfftw -lfftw
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS =  error$U.o strtod$U.o
LIBS = -lm 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS =  error$U.lo strtod$U.lo
MAKEINFO = ${SHELL} /home/cowtan/clipper-gnu/config/missing --run makeinfo
MCCP4_CXXFLAGS = 
MCCP4_LIBS = 
MMDB_CXXFLAGS = -I/home/cowtan/clipper-gnu/ccp4-onlylibs-dev/include
MMDB_LIBS = -L/home/cowtan/clipper-gnu/ccp4-onlylibs-dev/lib -lmmdb
OBJEXT = o
PACKAGE = clipper
PACKAGE_BUGREPORT = cowtan@ysbl.york.ac.uk
PACKAGE_NAME = clipper
PACKAGE_STRING = clipper 2.0.3
PACKAGE_TARNAME = clipper
PACKAGE_VERSION = 2.0.3
PATH_SEPARATOR = :
POW_LIB = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 2.0.3
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = f95
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-redhat-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = redhat
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-redhat-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = redhat
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/cowtan/clipper-gnu/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /home/cowtan/clipper-gnu/build/
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
MACROS = cctbx.m4 \
	 mccp4.m4 \
	 mmdb.m4  \
	 fftw.m4  \
	 clipper.m4 \
	 ccp4.m4

EXTRA_DIST = $(MACROS)
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  config/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  config/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-libtool

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-exec install-exec-am \
	install-info install-info-am install-man install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am \
	uninstall-info-am

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## clipper 2.1%2B20100511

=== debian/control ===
Source: clipper
Section: science
Priority: optional
Maintainer: Morten Kjeldgaard <mok0@ubuntu.com>
Homepage: http://www.ysbl.york.ac.uk/~cowtan/clipper/clipper.html
Build-Depends: debhelper (>= 7), cdbs, autotools-dev, quilt,
 sfftw-dev, fftw-dev, libgpp4-dev, libmmdb-dev, libtool, autoconf
Build-Depends-Indep: doxygen
Standards-Version: 3.9.1

Package: libclipper-dev
Section: libdevel
Architecture: any
Suggests: libclipper-doc
Depends: ${misc:Depends}, libclipper2 (= ${binary:Version} ), 
 libmmdb-dev, libgpp4-dev, sfftw-dev, fftw-dev
Description: object oriented development kit for crystallographic computing
 The aim of the clipper project is to produce a set of object-oriented
 libraries for the organisation of crystallographic data and the performance
 of crystallographic computation.
 .
 This package contains development environment for programs which will use
 the clipper libraries. 

Package: libclipper2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: object oriented library for crystallographic computing
 The aim of the clipper project is to produce a set of object-oriented
 libraries for the organisation of crystallographic data and the performance
 of crystallographic computation.
 .
 This package contains shared libraries needed to run programs that have
 been developed using the clipper libraries.

Package: libclipper-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: www-browser
Enhances: libclipper-dev
Description: doxygen generated documentation for libclipper
 The aim of the clipper project is to produce a set of object-oriented
 libraries for the organisation of crystallographic data and the performance
 of crystallographic computation.
 .
 This package provides doxygen generated documentation for the library.

=== debian/watch ===
version=3
http://www.ysbl.york.ac.uk/~cowtan/clipper/clipper.html \
http://www.ysbl.york.ac.uk/~cowtan/clipper/clipper-([\d\.]*)-[\d]*-ac\.tar\.gz

## clipper 2.1+20100511

=== debian/changelog ===
clipper (2.1+20100511-0ubuntu1) natty; urgency=low

  * New upstream version
  * Use source package format 3.0 (quilt)
  
 -- Morten Kjeldgaard <mok0@ubuntu.com>  Mon, 22 Nov 2010 11:11:53 +0100

clipper (2.1+20091215-0ubuntu1) lucid; urgency=low

  * New upstream version. Debian version string now needs to specify 
    release date because upstream has not changed version number.

 -- Morten Kjeldgaard <mok0@ubuntu.com>  Tue, 05 Jan 2010 23:35:07 +0100

clipper (2.1-0ubuntu1) karmic; urgency=low

  * New upstream version.
  * Reverted to traditional debian/rules file, fully separating 
    -arch and -indep builds.
  * Added debian/watch file.
  
 -- Morten Kjeldgaard <mok0@ubuntu.com>  Thu, 11 Jun 2009 17:59:28 +0200

clipper (2.0.3-0ubuntu3) jaunty; urgency=low

  * FTBFS/gcc_4.3.2 issues fixed, compiler is more finicky now.
  * debian/control: Standards-Version bumped to 3.8.0, ${misc:Depends}
    added to -dev and -doc packages.
  
 -- Morten Kjeldgaard <mok0@ubuntu.com>  Thu, 08 Jan 2009 14:27:27 +0100

clipper (2.0.3-0ubuntu2) hardy; urgency=low

  * debian/control: 
    + FTBFS on all archs but i386 due to missing build dependency 
      on doxygen (LP: #192895)
    + Fixed missing dependencies of libclipper-dev.
  * debian/rules: 
    + add get-orig-source target. The tarball is not
      versioned upstream, so the get-orig-source target can be used
      once the changelog has been edited to contain the right version.
    + get rid of lintian warning due to executable Makefile.am
  * add man page for clipper-config
  * debian/patches: convert to quilt   

 -- Morten Kjeldgaard <mok@bioxray.au.dk>  Mon, 18 Feb 2008 12:31:05 +0100

clipper (2.0.3-0ubuntu1) hardy; urgency=low

  * Initial release for Ubuntu (LP: #176212)
  * Add missing Doxyfile with a dpatch
  * Add topmost index.html file to documentation (generated from
    debian/index.txt using asciidoc).
  * Lintian override file added to libclipper2. Lintian gives the 
    package-name-doesnt-match-sonames warning, but she is fooled
    by the fact that the package contains more than 1 shared library.
  
 -- Morten Kjeldgaard <mok@bioxray.au.dk>  Mon, 04 Feb 2008 09:30:10 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# This rules file builds packages in two different threads.
# The -arch thread is initiated via the binary-arch target
# and similarly, the -indep thread is initiated via the binary-indep
# target. This enables dpkg-buildpackage to build either -arch only,
# -indep only or both, depending on the setting of the -A, -B or -b 
# flags.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

# These files are overwritten by autoreconf which we need to run because
# one of the Makefile.am's is patched. They are deleted in the clean
# target as not to interfere with the building of the source package.

OVERWRITTEN_FILES = configure aclocal.m4 Makefile.in examples/Makefile.in \
config/config.guess config/ltmain.sh config/Makefile.in dox/Makefile.in	  \
clipper/Makefile.in clipper/minimol/Makefile.in clipper/cif/Makefile.in	  \
clipper/mmdb/Makefile.in clipper/cns/Makefile.in clipper/phs/Makefile.in  \
clipper/contrib/Makefile.in clipper/ccp4/Makefile.in			  \
clipper/core/Makefile.in

NOT_IN_TARBALL = config/lt~obsolete.m4 config/ltoptions.m4	\
config/ltversion.m4 config/ltsugar.m4 config/libtool.m4

include /usr/share/quilt/quilt.make


# The first target to be called. First we patch, then
# we run pre-configure:
configure-stamp: config.status pre-configure-stamp
	./configure $(CROSS) \
	--prefix=/usr \
	--with-fftw=/usr \
	--enable-mmdb \
	--with-mmdb=/usr \
	--enable-gpp4 \
	--with-gpp4=/usr \
	--enable-cif \
	--enable-minimol \
	--enable-cns \
	CFLAGS="$(CFLAGS)" \
	CXXFLAGS="$(CXXFLAGS)"

	touch $@

config.status:
	dh_testdir

	# Save some upstream files that get overwritten 
	# when we run autoreconf... this is mainly useful
	# when building the source package, where those files
	# otherwise end up in .diff.gz.
	tar -czf ow.tgz $(OVERWRITTEN_FILES)

	# Here we configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config/config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config/config.guess
endif

pre-configure-stamp: patch
	autoreconf --force --install
	touch $@

#Architecture
build:

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp

	$(MAKE)
	touch $@

build-indep: build-indep-stamp
build-indep-stamp:
	cp debian/Doxyfile .
	doxygen
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f pre-configure-stamp configure-stamp 
	rm -f build-arch-stamp build-indep-stamp
	rm -f Doxyfile	
	rm -rf doc/

	# clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess

	# Re-establish original files
	if test -f ow.tgz; then tar -xzf ow.tgz; rm -f ow.tgz; fi
	rm -f $(NOT_IN_TARBALL)
	rm -f Doxygen doxy.core.tag

	dh_clean

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i
	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_prep -s
	dh_installdirs -s

	# install the arch part of the package into debian/tmp.
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	install -D -m644 debian/libclipper2.lintian debian/tmp/usr/share/lintian/overrides/libclipper2

	dh_install -s

# This target is called by binary-arch/binary-indep in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress --exclude=examples
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independent packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep

.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

####

## clipper 2.1.20130601

=== debian/changelog ===
clipper (2.1.20130601-2ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 03 Aug 2015 21:07:49 +0000

clipper (2.1.20130601-2) unstable; urgency=medium

  * move the examples into the -doc package (Closes: #756143)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 26 Jul 2014 20:14:01 +0200

clipper (2.1.20130601-1) unstable; urgency=medium

  * bump Standards-Version 3.9.5 (nothing to do)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 25 Jul 2014 19:34:39 +0200

clipper (2.1.20130601-1~experimental1) experimental; urgency=low

  * first Debian release (Closes: #679990)
  * thanks Morten Kjeldgaard <mok0@ubuntu.com> for the ubuntu package

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 6 Sep 2013 21:24:00 +0100

=== debian/control ===
Source: clipper
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>,
	   Morten Kjeldgaard <mok0@ubuntu.com>
Homepage: http://www.ysbl.york.ac.uk/~cowtan/clipper/clipper.html
Build-Depends: debhelper (>= 9),
               autotools-dev,
               dh-autoreconf,
               fftw-dev,
               gfortran,
               libccp4-dev,
               libmmdb-dev,
               sfftw-dev
Build-Depends-Indep: doxygen
Standards-Version: 3.9.5
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/clipper.git
Vcs-Git: git://git.debian.org/git/debian-science/packages/clipper.git

Package: libclipper-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Suggests: libclipper-doc
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         fftw-dev,
         libclipper2v5 (= ${binary:Version} ),
         libccp4-dev,
         libmmdb-dev,
         sfftw-dev
Description: object oriented development kit for crystallographic computing
 The aim of the clipper project is to produce a set of object-oriented
 libraries for the organisation of crystallographic data and the
 performance of crystallographic computation.
 .
 This package contains development environment for programs which will
 use the clipper libraries.

Package: libclipper2v5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:  ${misc:Depends},
          ${shlibs:Depends}
Conflicts: libclipper2
Replaces: libclipper2
Description: object oriented library for crystallographic computing
 The aim of the clipper project is to produce a set of object-oriented
 libraries for the organisation of crystallographic data and the
 performance of crystallographic computation.
 .
 This package contains shared libraries needed to run programs that
 have been developed using the clipper libraries.

Package: libclipper-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: www-browser
Enhances: libclipper-dev
Description: doxygen generated documentation for libclipper
 The aim of the clipper project is to produce a set of object-oriented
 libraries for the organisation of crystallographic data and the
 performance of crystallographic computation.
 .
 This package provides doxygen generated documentation for the library.

Package: libclipper2v5-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         libclipper2v5 (= ${binary:Version} )
Conflicts: libclipper2-dbg
Replaces: libclipper2-dbg
Description: object oriented development kit for crystallographic computing
 The aim of the clipper project is to produce a set of object-oriented
 libraries for the organisation of crystallographic data and the
 performance of crystallographic computation.
 .
 This package contains debugging symbols for the clipper libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

override_dh_auto_configure:
	dh_auto_configure -- --enable-mmdb --enable-minimol --enable-cif --enable-ccp4 --enable-shared --disable-static --enable-fortran

override_dh_auto_build-indep:
	doxygen debian/Doxyfile

override_dh_clean:
	rm -f doxy.core.tag
	rm -rf doc/
	dh_clean

%:
	dh $@ --with autotools_dev --with autoreconf --dbg-package=libclipper2v5-dbg

# until the check target has been fixed
override_dh_auto_test:

## clipper 2.1.20160809

=== wrappers/CMakeLists.txt ===
# This is a CMake example for Python
cmake_minimum_required(VERSION 2.8.8)
project(clipper-wrapper C CXX)

FIND_PACKAGE(SWIG REQUIRED)
INCLUDE(${SWIG_USE_FILE})

FIND_PACKAGE(PythonLibs)
INCLUDE_DIRECTORIES(${PYTHON_INCLUDE_PATH})

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})

SET(CMAKE_SWIG_FLAGS "")

find_package(CCP4 REQUIRED mmdb2 clipper-core clipper-mmdb clipper-ccp4
                           clipper-cif clipper-minimol clipper-contrib ccp4c)

include_directories(${CCP4_INCLUDE_DIRS}
                    "${CCP4_INCLUDE_DIRS}/clipper"
                    "${CCP4_INCLUDE_DIRS}/clipper/core"
                    "${CMAKE_SOURCE_DIR}")

SET_SOURCE_FILES_PROPERTIES(clipper.i PROPERTIES CPLUSPLUS ON)
SWIG_ADD_MODULE(clipper python clipper.i )

SWIG_LINK_LIBRARIES(clipper ${PYTHON_LIBRARIES} ${CLIPPER-MMDB_LIBRARY} ${CLIPPER-CIF_LIBRARY} ${CLIPPER-CCP4_LIBRARY}
    ${CLIPPER-CONTRIB_LIBRARY} ${CLIPPER-CORE_LIBRARIES} ${CLIPPER-MINIMOL_LIBRARY} ${MMDB2_LIBRARY} ${CCP4C_LIBRARY} m)

=== debian/changelog ===
clipper (2.1.20160809-2) unstable; urgency=medium

  * Ceasing to ship non-reproducible Makefile with hard-coded paths
    thanks Chris Lamb <lamby@debian.org> for the patch (Closes: #902745)

 -- Andrius Merkys <andrius.merkys@gmail.com>  Sun, 01 Jul 2018 05:01:10 -0400

clipper (2.1.20160809-1) unstable; urgency=medium

  [ Picca Frederic-Emmanuel ]
  * Set HTML_TIMESTAMP from YES to NO in debian/Doxyfile for reproducibility
    thanks akira <marivalenm@gmail.com> for the patch (Closes: #787804)

  [ Andrius Merkys ]
  * New upstream release.
  * Upload to unstable.
  * add-mmdb2-to-examples-LIBS.patch: New patch, fixes building of examples
    under examples/.
  * narrowing-conversions.patch: Fixing error due to narrowing conversion
    (Closes: #811763).
  * debian/copyright: HTTP -> HTTPS
  * debian/compat: bump to 11
  * debian/control
    - Removed useless dependencies on dh-autoreconf and autotools-dev
    - Bump Standards-Version 4.1.4 (nothing to do)
  * debian/libclipper-doc.doc-base: fixing file paths
  * debian/libclipper-doc.examples: there seems to be no examples/*.c files
  * debian/watch: turning on passive FTP mode
  * Switching to automatic debug symbols package generation

 -- Andrius Merkys <andrius.merkys@gmail.com>  Thu, 03 May 2018 10:24:19 -0400

clipper (2.1.20130601-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu++98 to fix FTBFS with gcc 6. (Closes: #811763)

 -- Adrian Bunk <bunk@debian.org>  Fri, 13 Jan 2017 13:16:44 +0200

clipper (2.1.20140911-1~exp1) experimental; urgency=medium

  * Imported Upstream version 2.1.20140911
  * Standards-Version bumped to 3.9.6 (nothing to do)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 31 Dec 2014 11:29:29 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+export DEB_CXXFLAGS_MAINT_APPEND = -std=gnu++98
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
@@ -16,7 +18,4 @@
 	dh_clean
 
 %:
-	dh $@ --with autotools_dev --with autoreconf --dbg-package=libclipper2v5-dbg
-
-# until the check target has been fixed
-override_dh_auto_test:
+	dh $@ --with autoreconf --ddeb-migration='libclipper2-dbg (<< 2.1.20160809-1~)'

=== debian/watch ===
version=3
opts="passive" ftp://ftp.ccp4.ac.uk/opensource/clipper-(.*)\.tar\.gz|bz2|xz|zip

## clipper 2.1.20201109

=== debian/changelog ===
clipper (2.1.20201109-2) unstable; urgency=medium

  * Switch debian/watch to HTTP site as FTP seems down and SSL certificate
    has expired.

 -- Andrius Merkys <merkys@debian.org>  Mon, 19 Jun 2023 11:00:54 -0400

clipper (2.1.20201109-2~exp) experimental; urgency=medium

  * Team upload.
  * Fix name of ccp4c.pc pkg-config file
    Closes: #1032410
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * watch file standard 4 (routine-update)
  * Add debian/not-installed
  * Hardening

 -- Andreas Tille <tille@debian.org>  Mon, 06 Mar 2023 19:46:00 +0100

clipper (2.1.20201109-1) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Drop unnecessary dependency on dh-autoconf.

  [ Andrius Merkys ]
  * New upstream version 2.1.20201109
  * Updating debian/copyright.
  * Adding 'Rules-Requires-Root: no'.
  * Updating my email.

 -- Andrius Merkys <merkys@debian.org>  Tue, 17 Nov 2020 11:51:00 -0500

=== debian/control ===
Source: clipper
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>,
           Morten Kjeldgaard <mok0@ubuntu.com>,
           Andrius Merkys <merkys@debian.org>
Homepage: http://www.ysbl.york.ac.uk/~cowtan/clipper/clipper.html
Build-Depends: debhelper-compat (= 13),
               fftw-dev,
               gfortran,
               libccp4-dev,
               libmmdb2-dev,
               sfftw-dev
Build-Depends-Indep: doxygen
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/science-team/clipper.git
Vcs-Browser: https://salsa.debian.org/science-team/clipper
Rules-Requires-Root: no

Package: libclipper-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Suggests: libclipper-doc
Pre-Depends: ${misc:Pre-Depends}
Depends: fftw-dev,
         libccp4-dev,
         libclipper2 (= ${binary:Version} ),
         libmmdb2-dev,
         sfftw-dev,
         ${misc:Depends}
Description: object oriented development kit for crystallographic computing
 The aim of the clipper project is to produce a set of object-oriented
 libraries for the organisation of crystallographic data and the
 performance of crystallographic computation.
 .
 This package contains development environment for programs which will
 use the clipper libraries.

Package: libclipper2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: object oriented library for crystallographic computing
 The aim of the clipper project is to produce a set of object-oriented
 libraries for the organisation of crystallographic data and the
 performance of crystallographic computation.
 .
 This package contains shared libraries needed to run programs that
 have been developed using the clipper libraries.

Package: libclipper-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: www-browser
Enhances: libclipper-dev
Multi-Arch: foreign
Description: doxygen generated documentation for libclipper
 The aim of the clipper project is to produce a set of object-oriented
 libraries for the organisation of crystallographic data and the
 performance of crystallographic computation.
 .
 This package provides doxygen generated documentation for the library.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # -*- makefile -*-
 
 export DEB_CXXFLAGS_MAINT_APPEND = -std=gnu++98
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
@@ -18,4 +19,4 @@
 	dh_clean
 
 %:
-	dh $@ --with autoreconf --ddeb-migration='libclipper2-dbg (<< 2.1.20160809-1~)'
+	dh $@ --ddeb-migration='libclipper2-dbg (<< 2.1.20160809-1~)'

=== debian/watch ===
version=4
http://ftp.ccp4.ac.uk/opensource/ @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
